package com.dragon.tj.portal.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;

/**
 * 应用安装信息
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName("install_info")
public class InstallInfo {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 应用ID
     */
    private Integer appId;

    /**
     * 应用业务ID
     */
    private Integer businessId;

    /**
     * 用户身份证号码
     */
    private String userIdcard;

    /**
     * 是否卸载
     */
    private Integer delFlag;

    /**
     * 安装时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 排序
     */
    private int seq;
}
