package com.dragon.tj.portal.common.base;

/**
 * @author huey China.
 * @Description :错误返回
 * @Date Created in 2023/6/12 16:12
 */
public interface ResultError {

    /**
     * 获取错误码
     *
     * @return 错误码
     */
    int getCode();

    /**
     * 获取错误描述信息
     *
     * @return 错误描述信息
     */
    String getMsg();
}
